Xerces 3.1.1 API: Class DOMExceptionImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class DOMExceptionImpl

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.dom.DOMException
                              |
                              +--org.apache.xerces.domx.DOMException
                                    |
                                    +--org.apache.xerces.dom.DOMExceptionImpl

public class DOMExceptionImpl
extends org.apache.xerces.domx.DOMException

DOMExceptions are thrown when one of the DOM implementation classes discovers an error condition. The architecture is defined in terms of the ExceptionCode, but in the standard Java API this has been extended so the exception may also carry a text string. Standard exception codes are:

- INDEX_SIZE_ERR: index or size is negative, or greater than the allowed value.
- WSTRING_SIZE_ERR: the specified range of text does not fit into the string representation used in this implementation. Only arises in implementations whose strings have a maximum-size limit. The DOM provides workarounds to support those languages, generally by having the DOM extract a managable substring on their behalf.
- HIERARCHY_REQUEST_ERR: user tried to insert a node somewhere it doesn't belong... such as adding a child to a Text node.
- WRONG_DOCUMENT_ERR: a node is used in a different document than the one that created it (that doesn't support it). Currently, the DOM doesn't promise that nodes can be moved from document to document even if they're both using the same underlying implementation. Level 2 of the DOM spec may address this.
- INVALID_NAME_ERR: an invalid name is specified.
- NO_DATA_ALLOWED_ERR: data is specified for a node which does not support data.
- NO_MODIFICATION_ALLOWED_ERR: an attempt is made to modify an object where modifications are not allowed.
- NOT_FOUND_ERR: an attempt was made to reference a node in a context where it does not exist.
- NOT_SUPPORTED_ERR: the implementation does not support the type of object requested.
- INUSE_ATTRIBUTE_ERR: an attempt is made to add an attribute object that is already in use elsewhere.

Since:
  PR-DOM-Level-1-19980818.
Version:
See Also:
  Serialized Form

Fields inherited from class org.apache.xerces.domx.DOMException
`UNSPECIFIED_EVENT_TYPE, UNSUPPORTED_EVENT_TYPE`

Fields inherited from class org.w3c.dom.DOMException
`code, DOMSTRING_SIZE_ERR, HIERARCHY_REQUEST_ERR, INDEX_SIZE_ERR, INUSE_ATTRIBUTE_ERR, INVALID_ACCESS_ERR, INVALID_CHARACTER_ERR, INVALID_MODIFICATION_ERR, INVALID_STATE_ERR, NAMESPACE_ERR, NO_DATA_ALLOWED_ERR, NO_MODIFICATION_ALLOWED_ERR, NOT_FOUND_ERR, NOT_SUPPORTED_ERR, SYNTAX_ERR, WRONG_DOCUMENT_ERR`

Constructor Summary
`DOMExceptionImpl(short code, java.lang.String message)` Constructs a dom exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DOMExceptionImpl

    public DOMExceptionImpl(short code,
                            java.lang.String message)

  Constructs a dom exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD